List all Tailscale Subnet Routers
Returns a paginated list of the Tailscale Subnet Routers on the account, with support for filtering by Network.
GET
/
tailscale_subnet_routers
List all Tailscale Subnet Routers
curl --request GET \
--url https://api.telnyx.com/v2/tailscale_subnet_routers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/tailscale_subnet_routers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/tailscale_subnet_routers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/tailscale_subnet_routers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/tailscale_subnet_routers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/tailscale_subnet_routers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/tailscale_subnet_routers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "5c6f0a7e-6c7b-4d7f-9f2e-3b1e4e9a8c21",
"record_type": "tailscale_subnet_router",
"name": "tailnet-ashburn",
"network_id": "0de011ae-ee53-4df4-ba96-754728eb5aad",
"region_code": "ashburn-va",
"advertised_routes": [
"172.27.0.0/24"
],
"status": "provisioned",
"customer_address": "172.27.254.1",
"device_id": "n5c6f0a7e1CNTRL",
"tailnet_name": "acme.example",
"tailscale_ips": [
"100.101.2.30",
"fd7a:115c:a1e0::2a"
],
"created_at": "2026-10-13T15:04:05.123456Z",
"updated_at": "2026-10-13T15:09:41.654321Z"
}
],
"meta": {
"total_pages": 1,
"total_results": 1,
"page_number": 1,
"page_size": 25
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "The server understood the syntax of the request but was unable to process the instructions."
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter (deepObject style). Originally: filter[network_id]
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Was this page helpful?
List all Tailscale Subnet Routers
curl --request GET \
--url https://api.telnyx.com/v2/tailscale_subnet_routers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/tailscale_subnet_routers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/tailscale_subnet_routers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/tailscale_subnet_routers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/tailscale_subnet_routers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.telnyx.com/v2/tailscale_subnet_routers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/tailscale_subnet_routers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "5c6f0a7e-6c7b-4d7f-9f2e-3b1e4e9a8c21",
"record_type": "tailscale_subnet_router",
"name": "tailnet-ashburn",
"network_id": "0de011ae-ee53-4df4-ba96-754728eb5aad",
"region_code": "ashburn-va",
"advertised_routes": [
"172.27.0.0/24"
],
"status": "provisioned",
"customer_address": "172.27.254.1",
"device_id": "n5c6f0a7e1CNTRL",
"tailnet_name": "acme.example",
"tailscale_ips": [
"100.101.2.30",
"fd7a:115c:a1e0::2a"
],
"created_at": "2026-10-13T15:04:05.123456Z",
"updated_at": "2026-10-13T15:09:41.654321Z"
}
],
"meta": {
"total_pages": 1,
"total_results": 1,
"page_number": 1,
"page_size": 25
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "The server understood the syntax of the request but was unable to process the instructions."
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}